<!DOCTYPE html>
<html>
    <head>
       
         <meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;script-src 'self' 'unsafe-inline';connect-src http://sistemas.cachoeirinha.rs.gov.br/">
         
        <meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
        <link rel="icon" href="img/brasaog.png">
        <link rel="stylesheet" type="text/css" href="css/font-awesome.min.css"> 
        <link rel="stylesheet" type="text/css" href="css/angular-confirm.min.css"> 
        <link rel="stylesheet" type="text/css" href="css/layout2.css">
        <link rel="stylesheet" type="text/css" href="css/ckbutton.css">
        <link rel="stylesheet" type="text/css" href="css/rd-button.css">

        <title>Bushido On</title>
    </head>
    <body ng-app="pmcacho">    
        <!-- MENU do sistema -->
        <div ng-controller="menu.controller">
            <nav  >
                <ul>
                    <li>
                        <button class="btn-menu" ng-click="exibirMenu()"><i class="fa fa-bars"></i></button>
                    </li>
                    <li class="logo">
                        <span>Nova Demanda</span>
                        <img src="img/icone.png" />
                    </li>

                </ul>

            </nav>  
            <div class="menu-body menu-hidden"  id="menu-screen">
                <ul>
                    <li>
                        <span>{{usuario.nome}}</span>
                    </li>
                    <li>
                        <a href="perfil.html">Perfil</a>
                    </li>
                    <li>
                        <a href="index2.html">Início</a>
                    </li>
                    <li>
                        <a href="consultar.html">Consultar Demanda</a>
                    </li>
                    <li>
                        <a href="abrir.html">Abrir Demanda</a>
                    </li>
                    <li>
                        <a href="#" ng-click="logout()" class="logout">Sair</a>
                    </li>
                </ul>
            </div>

        </div>
        <!-- MENU do sistema -->

        <!-- Carregamento -->

        <div class="loader">
            <img src="img/loader.gif"/>
        </div>
        <!-- Carregamento -->


        <div class="content" ng-controller="abrir.demanda.controller" >
            <h4 class="text-bold text-center">Abertura de Demanda</h4>
            
            <label class="bushido-label">Matrícula:</label>
            <input type="text" ng-model="demanda.solicitante.matricula" class="filter"/>
            <button class="btn-fury-blue-search" ng-click="consultar_servidor()">Consultar</button>        

            <label class="bushido-label">Nome:</label>
            <input type="text" ng-model="demanda.solicitante.nome" class="filter"/>

            <label class="bushido-label">CPF:</label>
            <input type="text" ng-model="demanda.solicitante.cpf" class="filter"/>

            <label class="bushido-label">Secretaria:</label>
            <input type="text" ng-model="demanda.solicitante.secretaria" class="filter"/>

            <label class="bushido-label">E-mail:</label>
            <input type="email" ng-model="demanda.solicitante.email" class="filter"/>

            <label class="bushido-label">Telefone do Setor:</label>
            <input type="text" ng-model="demanda.solicitante.fone" class="tel filter"/>

            <label class="bushido-label">Local de Trabalho (Secretaria):</label>
            <select ng-model="demanda.local_secretaria" required="true" ng-change="selecionarDepartamentos()"  class="filter">
                <option value="">Selecione</option>                             
                <option ng-repeat="s in secretarias" value="{{s.sigla}}">{{s.sigla}}</option>
                <option value="IPREC">IPREC</option>
            </select> 

            <label class="bushido-label">Local de Trabalho (Setor):</label>
            <select ng-model="demanda.local" class="filter">
                <option value="">Selecione</option>
                <option value="Outro">Outro</option>
                <option ng-repeat="l in locais_secretaria | orderBy:'nomeDepartamento'" value="{{l.nomeDepartamento}}">{{l.nomeDepartamento}}</option>
            </select>     

            <label ng-show="demanda.local == 'Outro'">Informe o Local: (Setor):</label>                            
            <input type="text" ng-model="demanda.outro_local" ng-show="demanda.local == 'Outro'" maxlength="100" class="filter" /> 

            <hr/>

            <div class="rd-button">
               <label>
                  <input type="radio" ng-model="demanda.tipo" value="0" name="tipo"><span>Computador</span>
               </label>
            </div>

            <div class="rd-button">
               <label>
                  <input type="radio" ng-model="demanda.tipo" value="1"  name="tipo"><span>Telefonia</span>
               </label>
            </div>

            <!-- 
            <div class="rd-button">
               <label>
                  <input type="radio" ng-model="demanda.situacao" value="3"><span>Acesso a serviços de TI</span>
               </label>
            </div> -->

            <hr/>

            <div ng-show="demanda.tipo == 0">
                
                <label class="bushido-label">Número de Patrimônio:</label>
                
                
                <input type="number" id="nr_patrimonio" ng-model="patr" class="filter" />
                
                
                <button type="button" ng-click="consultarPatrimonio()" class="btn-fury-blue-include"><i class="fa fa-arrow-down"></i>&nbsp;Incluir</button>                


                <div class="bx-patrimonios" ng-repeat="p in demanda.patrimonios">
                    <label class="bushido-label text-center">Patrimônio&nbsp;{{p.numeroPatrimonio}}</label>                                        
                    <h4 class="text-center">{{p.descricao}}</h4>
                    <label class="bushido-label text-center">Localização</label>
                    <h4 class="text-center">{{p.secretaria.descricao}}</h4>
                    <button type="button" ng-click="removerPatrimonio(p)" class="btn-fury-blue-include"><i class="fa fa-trash"></i></button>
                </div>

            </div>

            <div  ng-show="demanda.tipo == 1 ">
                <label class="bushido-label">Número da Linha:</label>
                <input type="text" id="nr_linha" ng-model="nrlinha" class="filter cel" />
                        
                <button type="button" ng-click="consultarLinha()" class="btn-fury-blue-include"><i class="fa fa-arrow-down"></i>&nbsp;Incluir</button>
                
            </div>

            <div class="bx-patrimonios" ng-repeat="l in demanda.linhas">
                <label class="bushido-label text-center text-bold">Linha&nbsp;{{l.numero}}</label>
                <label class="bushido-label text-center" ng-show="l.secretaria">Localização</label>
                <h4 class="text-center" ng-show="l.secretaria">{{l.secretaria}}</h4>
                <label class="bushido-label text-center" ng-show="l.operadora">Operadora</label>
                <h4 class="text-center" ng-show="l.operadora">{{l.operadora}}</h4>
                <button type="button" ng-click="removerLinha(l)" class="btn-fury-blue-include"><i class="fa fa-trash"></i></button>
            </div>


            <hr/>
            
            <textarea class="txt-desc" ng-model="demanda.descricao"></textarea>

            <hr/>

                                
            <button class="btn-fury-blue" ng-click="registrar_demanda()">Registrar</button>

        </div>

        <script type="text/javascript" src="js/jquery-2.1.4.min.js"></script>
        <script type="text/javascript" src="js/jquery.mask.min.js"></script>
        <script type="text/javascript" src="js/angular.min.js"></script>  
        <script type="text/javascript" src="js/angular-confirm.min.js"></script>          
        <script type="text/javascript" src="js/serviceWorker.min.js"></script>  
        <script type="text/javascript" src="js/push.min.js"></script>  
        <script type="text/javascript" src="js/app/app.js"></script>
        <script type="text/javascript" src="js/app/services/service.js"></script>
        <script type="text/javascript" src="js/app/controller/abrir.demanda.controller.js"></script>
        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript">

            $(document).ready(function () {
                $('.loader').addClass('hide-loader'); 
              

            });

            document.addEventListener("backbutton", onBackKeyDown, false);

            function onBackKeyDown() {
               window.location.replace("index2.html"); 
            }

            
            $("#cpf").mask("999.999.999-99");

            $(".cel").mask("(51)99999-9999");

            $(".tel").mask("(51)9999-9999");


            // document.addEventListener('deviceready', function () {
            //     cordova.plugins.backgroundMode.enable();
            //     if(cordova.plugins.backgroundMode.isActive()){
            //         var ang = angular.element(document.getElementById('menu.controller')).scope();

            //         ang.verificarChamados();
            //     }
            // }, false);

        </script>
    </body>
</html>
